Package org.eclipse.net4j.util.ui.chat

# Interface ChatMessage

All Superinterfaces:
  `Comparable<ChatMessage>`

public interface ChatMessage extends Comparable<ChatMessage>

Since:
  3.19
Author:
  Eike Stepper

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static final class`
`ChatMessage.Author`
`static interface`
`ChatMessage.Provider`

## Method Summary

Modifier and Type
Method
Description
`default int`
`compareTo(ChatMessage o)`
`ChatMessage.Author`
`getAuthor()`
`String`
`getContent()`
`long`
`getCreationTime()`
`long`
`getEditTime()`
`int`
`getID()`
`ChatMessage`
`getReplyTo()`

## Method Details

### getID

int getID()

### getAuthor

ChatMessage.Author getAuthor()

### getCreationTime

long getCreationTime()

### getEditTime

long getEditTime()

### getContent

String getContent()

### getReplyTo

ChatMessage getReplyTo()

### compareTo

default int compareTo(ChatMessage o)

Specified by:
  `compareTo` in interface `Comparable<ChatMessage>`